# Uses of Enum Class
java.lang.StackWalker.Option

Packages that use StackWalker.Option
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of StackWalker.Option in java.lang

Methods in java.lang that return StackWalker.Option
Modifier and Type
Method
Description
`static StackWalker.Option`
StackWalker.Option.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StackWalker.Option[]`
StackWalker.Option.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.lang with parameters of type StackWalker.Option
Modifier and Type
Method
Description
`static StackWalker`
StackWalker.`getInstance(StackWalker.Option option)`
Returns a `StackWalker` instance with the given option specifying the stack frame information it can access.
Method parameters in java.lang with type arguments of type StackWalker.Option
Modifier and Type
Method
Description
`static StackWalker`
StackWalker.`getInstance(Set<StackWalker.Option> options)`
Returns a `StackWalker` instance with the given `options` specifying the stack frame information it can access.
`static StackWalker`
StackWalker.`getInstance(Set<StackWalker.Option> options, int estimateDepth)`
Returns a `StackWalker` instance with the given `options` specifying the stack frame information it can access.